Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push
Class TopicKey

    java.lang.Object
      org.richfaces.application.push.TopicKey

All Implemented Interfaces:
  java.io.Serializable

    public class TopicKey

extends java.lang.Object
implements java.io.Serializable

Author:
  Nick Belaevski
See Also:
  Serialized Form

Field Summary
`static char` | `SUBCHANNEL_SEPARATOR`

Constructor Summary
`TopicKey(java.lang.String topicAddress)`
`TopicKey(java.lang.String topicName, java.lang.String subtopicName)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static com.google.common.base.Function<java.lang.String,TopicKey>` | `factory()`
`TopicKey` | `getRootTopicKey()`
`java.lang.String` | `getSubtopicName()`
`java.lang.String` | `getTopicAddress()`
`java.lang.String` | `getTopicName()`
`int` | `hashCode()`
`static com.google.common.base.Function<TopicKey,java.lang.String>` | `toAddress()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBCHANNEL_SEPARATOR

    public static final char SUBCHANNEL_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### TopicKey

    public TopicKey(java.lang.String topicAddress)

### TopicKey

    public TopicKey(java.lang.String topicName,
                    java.lang.String subtopicName)

Method Detail

### factory

    public static com.google.common.base.Function<java.lang.String,TopicKey> factory()

### toAddress

    public static com.google.common.base.Function<TopicKey,java.lang.String> toAddress()

### getTopicName

    public java.lang.String getTopicName()

### getSubtopicName

    public java.lang.String getSubtopicName()

### getTopicAddress

    public java.lang.String getTopicAddress()

### getRootTopicKey

    public TopicKey getRootTopicKey()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.